Gemini Files et cache
Continuer le téléchargement du fichier Gemini
Envoie des octets ou des commandes à l'URL exacte renvoyée par le démarrage reprenable.
POSThttps://api.tokenlab.sh/upload/v1beta/files/session/{sessionId}
Envoie des octets ou des commandes à l'URL exacte renvoyée par le démarrage reprenable. La session dans l'URL autorise ce téléchargement ; une clé API n'est pas requise. Gardez l'URL privée.
curl -X POST "https://example.com/upload/v1beta/files/session/string" \ -H "Content-Type: application/octet-stream" \ -d 'string'{ "file": { "name": "string", "displayName": "string", "mimeType": "string", "sizeBytes": "string", "uri": "string", "state": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "expirationTime": "2019-08-24T14:15:22Z", "error": {} }}Paramètres de chemin
sessionId*string
En-têtes
X-Goog-Upload-Command?string
Commande de téléchargement telle que upload, finalize.
X-Goog-Upload-Offset?string
Décalage d'octet basé sur zéro du bloc.
body?file
Format
binaryRéponse
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json